Bug 111660 - pthread canceltype changed after a pthread_cond_timedwait()
Summary: pthread canceltype changed after a pthread_cond_timedwait()
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-08 09:44 UTC by Davide Guerri
Modified: 2016-11-24 15:19 UTC (History)
1 user (show)

Fixed In Version: FC1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 20:59:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program for the bug. (1.77 KB, text/plain)
2003-12-08 09:45 UTC, Davide Guerri
no flags Details

Description Davide Guerri 2003-12-08 09:44:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1)

Description of problem:
Canceltype of a thread is changed to PTHREAD_CANCEL_ASYNCHRONOUS if it is interrupted by a pthread_cond_signal() while blocked in pthread_cond_timedwait().


Version-Release number of selected component (if applicable):
glibc-2.3.2-27.9.7

How reproducible:
Always

Steps to Reproduce:
1.Compile and execute the test program below 

Actual Results:  [tato@Gohan a]$ ./bug_signal
cancel type = deferred
cancel type = asynchronous
Bye!


Expected Results:  The cancel type should remain deferred.

Additional info:

Comment 1 Davide Guerri 2003-12-08 09:45:44 UTC
Created attachment 96392 [details]
Test program for the bug.

Comment 2 Ulrich Drepper 2003-12-18 07:17:03 UTC
Even with the oldest FC1 glibc I get

cancel type = deferred
cancel type = deferred
Bye!

Again, if anything this is only a problem with missing backported patches.


Note You need to log in before you can comment on or make changes to this bug.